typedef struct _Voronoi_Type Voronoi_Type;
extern Voronoi_Type *voronoi_open (double *x, double *y, unsigned int npts);
extern void voronoi_close (Voronoi_Type *v);

typedef struct
{
   int *vertex_indices[3];
   unsigned int num_triangles;
}
Voronoi_Triangulate_Type;

extern int voronoi_triangulate (double *x, double *y, unsigned int npts,
				Voronoi_Triangulate_Type *);

extern int voronoi_convex_hull (double *x, double *y, unsigned int npts,
				int **indicesp, unsigned int *num_indicesp);
